HORIZON HASKELLDocslts/ghc-9.10.x248f8f02026-10-05Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · 248f8f0 · 2026-10-05

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.PostIssuingCardholdersCardholder

Contains the different functions to run the operation postIssuingCardholdersCardholder

  • 16 types
  • 11 values
  • Packagestripeapi-3.0.0.0
  • Exports27
  • LanguageHaskell2010
  • LicenceMIT
  • SourcePostIssuingCardholdersCardholder.hs
valuepostIssuingCardholdersCardholder
  1. :: MonadHTTP m
  2. => Text

    cardholder | Constraints: Maximum length of 5000

  3. -> Maybe PostIssuingCardholdersCardholderRequestBody

    The request body to send

  4. -> ClientT m (Response PostIssuingCardholdersCardholderResponse)

    Monadic computation which returns the result of the operation

#
POST /v1/issuing/cardholders/{cardholder}

<p>Updates the specified Issuing <code>Cardholder</code> object by setting the values of the parameters passed. Any parameters not provided will be left unchanged.</p>

Defines the object schema located at paths./v1/issuing/cardholders/{cardholder}.POST.requestBody.content.application/x-www-form-urlencoded.schema in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/issuing/cardholders/{cardholder}.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.billing in the specification.

The cardholder's billing address.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/issuing/cardholders/{cardholder}.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.billing.properties.address in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/issuing/cardholders/{cardholder}.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.company in the specification.

Additional information about a `company` cardholder.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/issuing/cardholders/{cardholder}.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.individual in the specification.

Additional information about an `individual` cardholder.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/issuing/cardholders/{cardholder}.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.individual.properties.dob in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/issuing/cardholders/{cardholder}.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.individual.properties.verification in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/issuing/cardholders/{cardholder}.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.individual.properties.verification.properties.document in the specification.

Instances4Eq, Show, FromJSON, ToJSON
Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/issuing/cardholders/{cardholder}.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.spending_controls.properties.allowed_categories.items in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/issuing/cardholders/{cardholder}.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.spending_controls.properties.blocked_categories.items in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON
Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/issuing/cardholders/{cardholder}.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.spending_controls.properties.spending_limits.items.properties.categories.items in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/issuing/cardholders/{cardholder}.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.spending_controls.properties.spending_limits.items.properties.interval in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/issuing/cardholders/{cardholder}.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.status in the specification.

Specifies whether to permit authorizations on this cardholder's cards.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Represents a response of the operation postIssuingCardholdersCardholder.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), PostIssuingCardholdersCardholderResponseError is used.

Instances2Eq, Show